### Method

# Gsk RenderReplay set_texture_filter

since: 4.22

#### Declaration [src]

    void
    gsk_render_replay_set_texture_filter (
      GskRenderReplay* self,
      GskRenderReplayTextureFilter filter,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Sets a filter function to be called by `gsk_render_replay_default()` for nodes that contain textures.

You can call `gsk_render_replay_filter_texture()` to filter a texture yourself.

Available since: 4.22

#### Parameters

`filter`

  Type: `GskRenderReplayTextureFilter`

  the texture filter function.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `filter`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_destroy`

  Type: `GDestroyNotify`

  Destroy notify that will be called to release the user data parameter.